.md-typeset div.arithmatex  {
    overflow: initial;
}

.md-typeset .admonition {
    font-size: 0.8rem;
}

.md-typeset details {
    font-size: 0.8rem;
}

/* @keyframes heart {
    0%, 40%, 80%, 100% {
    transform: scale(1);
    }
    20%, 60% {
    transform: scale(1.1);
    }
} */
.heart {
    /* animation: heart 1000ms infinite; */
    color:firebrick;
}

:root {
    --md-admonition-icon--conclu: url('data:image/svg+xml;charset=utf-8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><path d="M319.4 320.6 224 416l-95.4-95.4C57.1 323.7 0 382.2 0 454.4v9.6c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48v-9.6c0-72.2-57.1-130.7-128.6-133.8zM13.6 79.8l6.4 1.5v58.4c-7 4.2-12 11.5-12 20.3 0 8.4 4.6 15.4 11.1 19.7L3.5 242c-1.7 6.9 2.1 14 7.6 14h41.8c5.5 0 9.3-7.1 7.6-14l-15.6-62.3C51.4 175.4 56 168.4 56 160c0-8.8-5-16.1-12-20.3V87.1l66 15.9c-8.6 17.2-14 36.4-14 57 0 70.7 57.3 128 128 128s128-57.3 128-128c0-20.6-5.3-39.8-14-57l96.3-23.2c18.2-4.4 18.2-27.1 0-31.5l-190.4-46c-13-3.1-26.7-3.1-39.7 0L13.6 48.2c-18.1 4.4-18.1 27.2 0 31.6z"/></svg>')
    }
    .md-typeset .admonition.conclu,
    .md-typeset details.conclu {
    border-color: rgb(219, 16, 16);
    }
    .md-typeset .conclu > .admonition-title,
    .md-typeset .conclu > summary {
    background-color: rgba(185, 27, 101, 0.1);
    border-color: rgb(219, 16, 16);
    }
    .md-typeset .conclu > .admonition-title::before,
    .md-typeset .conclu > summary::before {
    background-color: rgb(219, 16, 16);
    /* animation: heart 1000ms infinite; */
    -webkit-mask-image: var(--md-admonition-icon--conclu);
            mask-image: var(--md-admonition-icon--conclu);
    }

.center {
    display: block;
    margin: 0 auto;
}


.md-typeset .highlight + .result {
    border-color: #00b8d4;
    background-color: var(--md-admonition-bg-color);
}

.result::before{
  content: "Rendu";
  font-weight: 700;
  width: inherit;
  box-sizing: inherit;
  margin: 30px 0; 
  display: flex;
  border-bottom: .05rem solid var(--md-default-fg-color--lightest);
  border-top-left-radius: .1rem;
  border-top-right-radius: .1rem;
  padding-top: 0.1em;
  padding-right: 1em;
  padding-bottom: 0.1em;
  padding-left: 1em;
  overflow: hidden;
}

/* Réglages de Frédéric Zinelli modifiés Mireille pour la doc*/

/* la div englobant le bloc de code */
div.highlight {
    width: inherit;
    border-radius: 5px;
    padding: 0 10px;
    display: grid;
    align-items: center;
    /* min-height: 2.5em; */
}
div.highlight > pre {
    border: solid;
    border-width: thin;
    border-color: rgb(204, 197, 197);
    margin: 30px 0;    
    padding: 0.4em;
    overflow: hidden;
}

/* le bouton pour copier le contenu */
div.highlight .md-clipboard {
    right: 0px;
}

/* Fin des Réglages de Frédéric Zinelli */

/*
  Largeur de la page
*/
.md-grid {
    max-width: 90%;
}
